Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps.dsc.events
Class DSCCommentIncludeResource

    java.lang.Object
      org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
          org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
              org.apache.xmlgraphics.ps.dsc.events.AbstractResourceDSCComment
                  org.apache.xmlgraphics.ps.dsc.events.DSCCommentIncludeResource

All Implemented Interfaces:
  DSCParserConstants, DSCComment, DSCEvent

    public class DSCCommentIncludeResource

extends AbstractResourceDSCComment

Represents a %IncludeResource DSC comment.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants
`COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

Constructor Summary
`DSCCommentIncludeResource()` Creates a new instance
`DSCCommentIncludeResource(PSResource resource)` Creates a new instance for a given PSResource instance

Method Summary
`String` | `getName()` Returns the name of the DSC comment.

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractResourceDSCComment
`generate, getResource, hasValues, parseValue`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
`asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
`asLine, isComment, isHeaderComment, isLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent
`asLine, isComment, isHeaderComment, isLine`

Constructor Detail

### DSCCommentIncludeResource

    public DSCCommentIncludeResource()

  Creates a new instance

### DSCCommentIncludeResource

    public DSCCommentIncludeResource(PSResource resource)

  Creates a new instance for a given PSResource instance

  Parameters:
    `resource` - the resource

Method Detail

### getName

    public String getName()

  Returns the name of the DSC comment.

  Returns:
    the name of the DSC comment (without the "%%" prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.